KYC simple status
curl --request GET \
--url https://api.example.com/api/v1/auth/kyc/simple-statusconst options = {method: 'GET'};
fetch('https://api.example.com/api/v1/auth/kyc/simple-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/auth/kyc/simple-status"
response = requests.get(url)
print(response.text)KYC
KYC simple status
Get a lightweight KYC status string. Always returns 200, never errors.
GET
/
api
/
v1
/
auth
/
kyc
/
simple-status
KYC simple status
curl --request GET \
--url https://api.example.com/api/v1/auth/kyc/simple-statusconst options = {method: 'GET'};
fetch('https://api.example.com/api/v1/auth/kyc/simple-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/auth/kyc/simple-status"
response = requests.get(url)
print(response.text)No authentication required — this endpoint is publicly accessible and never returns an error.
200:
- If the user has never started KYC, it returns
not_started. - If anything unexpected happens, it returns
error.
Request
GET /api/v1/auth/kyc/simple-status
Response
200 OK — always.{
"success": true,
"data": {
"status": "approved"
}
}
| Field | Type | Description |
|---|---|---|
data.status | string | One of: not_started, created, pending, in_progress, completed, expired, failed, needs_review, approved, declined, rejected, error |
Errors
This endpoint never returns a non-200 HTTP status.